Package junit.framework

# Interface Test

All Known Implementing Classes:
  `ActiveTestSuite`, `ExceptionTestCase`, `RepeatedTest`, `TestCase`, `TestDecorator`, `TestSetup`, `TestSuite`

public interface Test
A Test can be run and collect its results.

See Also:
  - `TestResult`

## Method Summary

Modifier and Type
Method
Description
`int`
`countTestCases()`
Counts the number of test cases that will be run by this test.
`void`
`run(TestResult result)`
Runs a test and collects its result in a TestResult instance.

## Method Details

### countTestCases

int countTestCases()
Counts the number of test cases that will be run by this test.

### run

void run(TestResult result)
Runs a test and collects its result in a TestResult instance.